services:
  file-server:
    image: python:3.12-slim
    container_name: file-server
    restart: unless-stopped
    volumes:
      - /root/docker/file:/data:ro  # 挂载整个文件夹
    ports:
      - "127.0.0.1:2053:2053"       # 只允许宿主机访问
    working_dir: /data
    command: python3 -m http.server 2053 --bind 0.0.0.0
